\chapter{Space or Where do we live?}
\label{ch:Space}
In this chapter space (in all its forms) will be treated as the main topic. The reader can find many sub-topics such as graph-theory, \cite{Topology_Wikipedia}, 3D plots, n-th dimensional objects or simple 2D theorems in \cite{Two_Dimensional_Space_Wikipedia}. No doubt even simple facts will struck the reader.

\section{Euler's solids and graphs identities}
\label{sec:Euler's solids and graphs identities}
\cite{Leonhard_Euler_Wikipedia} has been one of the most influencing mathematicians in history and one of the mathematics area where he was prolific was geometry.
\textbf{Euler equation on solid}
He found an equation that is considered one of the most aesthetic ones among all the fields of science.
Let $F$ be the number of \href{https://en.wikipedia.org/wiki/Face_(geometry)}{faces} in a 2D/3D object, $V$ the number of \href{https://en.wikipedia.org/wiki/Vertex_(graph_theory)}{vertices} and $E$ the number of \href{https://en.wikipedia.org/wiki/Edge_(geometry)}{edges}. Then
$$F + V - E = 2$$
Try it on a cube
$$F+ V - E = 6+8-12=2$$
\clearpage

However this formula is not valid for \textit{all} objects. A solid that can represent a counter example would be the cubohemioctahedron. So the more general formula is
$$\boxed{F+ V - E = \mathcal{X}}$$
where $\mathcal{X}$ is called \href{https://en.wikipedia.org/wiki/Euler_characteristic}{Euler characteristic}.
Here there are more examples:
\begin{figure*}[htbp]
    \centering
    \begin{subfigure}[t]{0.4\textwidth}
		\centering
		\includegraphics[width=20mm]{ch/space/img/cubohemioctahedron.png}
		\caption{A cubohemioctahedron: $F+ V - E = 10+12-24=-2$}
	\end{subfigure}
    \begin{subfigure}[t]{0.4\textwidth}
        \centering
        \includegraphics[width=20mm]{ch/space/img/torus.png}
		\caption{A torus: $F+ V - E = 0$}
    \end{subfigure}
    \begin{subfigure}[t]{0.4\textwidth}
        \centering
        \includegraphics[width=20mm]{ch/space/img/moebius.jpeg}
		\caption{A Moebius strip: $F+ V - E = 0$}
    \end{subfigure}
    \caption{Not all 3D objects follow Euler formula}
\end{figure*}

Enough for solids, now let's talk about \cite{Graph_Theory_Wikipedia}. Euler found a similar formula for \cite{Graph_Wikipedia}.
Let $V$ be the number of \href{https://en.wikipedia.org/wiki/Vertex_(graph_theory)}{vertices} in a graph, $L$ the number of links (segments between two vertices) and $\triangle$ the number of triangles. Then
$$\begin{cases}
L = 1 + \lfloor \frac{V^2}{4} \rfloor\\
\end{cases}
\lor
\begin{cases}
\delta = 0 \lor 1\\
V = 2n + \delta, \forall n \in \mathbb{N}\\
\triangle = 1 + n\cdot(n+\delta)
\end{cases}$$
\clearpage

\section{Butterly Theorem}
\label{sec:Butterly Theorem}
Draw a chord $\overline{PQ}$ inside a circle. Let 2 chords $\overline{AB}$ and $\overline{CD}$ thorugh the middlepoint $M$ of $\overline{PQ}$. Now connect $B$ to $D$ and $C$ to $A$, and denote $R,S$ respectively their intersections with $\overline{PQ}$. Prove $\overline{RM} = \overline{MS}$.
\vfill
\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/space/img/butterfly.png}
\caption{See \cite{Butterfly_Theorem_Wikipedia} for the proof}
\end{figure}

\section{Ellipses}
\label{sec:Ellipses}
These strange creatures whose perimeter lacks a \hyperref[sec:A note on notations (cit.)]{closed-form} formula, are elusive to mathematicians like smoke coming out from a cigarette. Only \textit{approximations} to the length of perimeter are available at the moment.
\begin{itemize}
\item \cite{Srinivasa_Ramanujan_Wikipedia}
$$\boxed{\mathcal{P}_{ellipse} \approx \pi (a+b) \left( 1 + \frac{3h}{10 + \sqrt{4-3h}} \right)}$$
\item \cite{Mohammed_Farooq_Wikipedia}
$$\boxed{\widetilde{l} \approx \overline{AB} \cdot \frac{\pi}{2\sqrt{2}}}$$
\end{itemize}

\section{N-agonal numbers}
\label{sec:N-agonal numbers}
What about the $n-$th $r-$agonal number? Simple!
$$\boxed{\mathcal{P}_{r}(n) = \frac{n(n-1)}{2}\cdot (r-2) +n}$$
\begin{figure*}[htbp]
    \centering
    \begin{subfigure}[t]{0.5\textwidth}
		\includegraphics[width=60mm]{ch/space/img/triangulars.png}
		\caption{Triangular numbers for $n=1,2,3,4,5$}
	\end{subfigure}
	\begin{subfigure}[t]{0.4\textwidth}
		\includegraphics[width=60mm]{ch/space/img/squares.png}
		\caption{Square numbers for $n=1,2,3,4,5$}
	\end{subfigure}
	\begin{subfigure}[t]{0.5\textwidth}
		\includegraphics[width=60mm]{ch/space/img/pentagonals.png}
		\caption{Pentagonal numbers for $n=1,2,3,4,5$}
	\end{subfigure}
	\begin{subfigure}[t]{0.4\textwidth}
		\includegraphics[width=60mm]{ch/space/img/hexagonals.png}
		\caption{Hexagonal numbers for $n=1,2,3,4,5$}
	\end{subfigure}
	\caption{The first $r-$agonal numbers}
\end{figure*}
\vfill
\clearpage

\section{N-agonal numbers in 3D}
\label{sec:N-agonal numbers in 3D}
What about adding $r-$agonal regular polygon with side $k$ under a regular one of side $k-1$? We'll obtain a pyramid of $r-$agonal polygons containing $r-$agonal numbers. So at level $n$, the pyramid will contain $n$ $r-$agonal polygons, wich add up to
$$\sum \limits_{k=1} ^n \frac{k(k-1)}{2} (r-2) + k = \boxed{\frac{n(n+1)}{2} \left( 1 + \frac{(r-2)\cdot (n-1)}{3} \right)}$$
Iterating the same reasoning to higher dimensions, the reader will create a $n-$hyper$(D)$gon consisting of $n-$hyper$(D-1)$gons. At the moment let's stop at the fourth dimension: the $t-$hyper(4)$r-$gon is filled up with the pyramids of $r-$gons, starting with the 1-$r-$pyramid, then adding the 2-$r-$pyramid, 3-$r-$pyramid and so on. How many points will contain the $n-$hyper(4)$r-$gon?
$$\sum \limits_{k=1} ^n \frac{k(k+1)}{2} \left( 1 + \frac{(r-2)\cdot (k-1)}{3} \right) = \boxed{\frac{n(n+1)}{24} \cdot (n^2+n\cdot (r+4)+12)}$$

\section{Jung theorem and bird watching}
\label{sec:Jung theorem and bird watching}
Mathematics has something to do with almost anything in this world, even bird watching \ldots
Suppose you're admiring a beautiful flock of birds and you wish to calculate the distance between the two farthest. Let's call this measure $d$; then a sphere of radius $d\frac{\sqrt{6}}{4}$ will enclose all birds.\\
Now let's say you're struck by the beauty of $4D$ birds flying in a $4D$ space. Then, as always, you calculate the distance between the two farthest and you can bet that a \href{https://en.wikipedia.org/wiki/N-sphere}{N-dimensional sphere} of radius $d\frac{2}{5}$ will enclose all these hyper-birds.\\
More formally \cite{Jung_Theorem_Wikipedia} states that, measured the $2D$ distance of the two farthest point in a set of finite $n-$dimensional points in a $n-$dimension space, there will be a $n-$dimensional sphere which is guaranteed to contain all the points of the set, and its radius is at most $d\cdot \sqrt{\frac{n}{2(n+1)}}$

\section{Holditch theorem}
\label{sec:Holditch Theorem}
\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/space/img/holditch.png}
\label{img:Holditch's Theorem}
\caption{If a chord of fixed length is allowed to rotate inside a convex closed curve you get those areas which follow that equation.}
\end{figure}

\section{Richard Hall's triangles}
\label{sec:Richard Hall's triangles}
Great ideas and proofs come after only great scientists, Nobel prize winners and Field-medal awarded people \ldots weel, not always, and Richard Hall is the proof this fact is not true.\\
After graduating at \cite{University_Of_Minnesota_Wikipedia} he published a paper about the probability $\mathcal{P}_n$ of finding an acute triangle in an $n-$ dimensional sphere.
$$\begin{array}{c|cc}
n = \text{ dimensions} & \mathcal{P}_n & \text{Name of object}\\
\hline
1 & 0 & \text{point}\\
2 & \frac{4}{\pi ^2} - \frac{1}{8} & \text{circumference}\\
3 & \frac{33}{70} & \text{sphere}\\
4 & \frac{256}{45 \pi ^2} + \frac{1}{32} & \text{\cite{Hypersphere_Wikipedia}}\\
5 & \frac{1415}{2002} & 5D \text{ sphere}\\
6 & \frac{2048}{315 \pi ^2} + \frac{31}{256} & 6D \text{ sphere}\\
\end{array}$$
The reader may find amusing to note the veriety of rational/irrational solutions.
Later in 1986 Buctha found a \hyperref[sec:A note on notations (cit.)]{closed-form} solution of the general $\mathcal{P}_n, \forall n \in \mathbb{N}, n \ge 2$. Alas \cite{Ball_Triangle_Picking_From_Wolfram_Mathworld} found involve \cite{Hypergeometric_Function_Wikipedia} functions and the \hyperref[sec:A note on notations (cit.)]{$\Gamma$ function}.

\section{Rolling-squaring circle}
\label{sec:Rolling-squaring circle}
\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/space/img/rolling_circle.jpg}
\end{figure}
\textit{by Thomas Elner}

\section{Points on a semicircle}
\label{sec:Points on a semicircle}
$$\text{Choose } n \text{ points randomly from a circle, then}$$
$$\text{calculate the probability that all the points are in one semicircle}$$
\begin{solution}
Find the largest angle gap, and number the points, say, clockwise such that that gap is between the last and first point. Then the probability density for the angle from the first to the last point to be $\phi < \pi$ is
$$\frac{n}{2\pi}\left(\frac\phi{2\pi}\right)^{n-2}$$
where the factor $n$ arises because we mapped $n$ numberings to one, $\frac{\pi}{2}$ is the density for the angle between the first and last point, and $\frac{\pi}{2 \pi} \cdot (n - 2)$ is the probability that the remaining $n - 2$ points are between them. The integral
$$
\begin{aligned}
\int_0^\pi n\frac1{2\pi}\left(\frac\phi{2\pi}\right)^{n-2} &= \frac n{(2\pi)^{n-1}}\pi^{n-1}\\
&= \boxed{\frac n{2^{n-1}}}
\end{aligned}
$$
is the desired probability.
Below the coding-addicted reader will find a Java code used to estimate the proability.
\begin{lstlisting}
import java.util.Arrays;

public class Solution {
    public static void main (String [] args) {
        int ntrials = Integer.parseInt (args [0]);
        int n = Integer.parseInt (args [1]);

        double [] a = new double [n];

        int count = 0;
        
        for (int i = 0;i < ntrials;i++) {
            for (int j = 0;j < n;j++)
                a [j] = Math.random ();
            Arrays.sort (a);
            
            for (int j = 0;j < n;j++) {
                double diff = a [j] - a [(j + 1) % n];
                if (diff < 0)
                    diff++;
                if (diff < 0.5) {
                    count++;
                    break;
                }
            }
        }

        System.out.println (count / (double) ntrials);
    }
}
\end{lstlisting}
\end{solution}

\section{Aristarchus' tangent}
\label{sec:Aristarchus' tangent}
Even in ancient times people were addicted to geometry proofs, in particular a man called Aristarchus Of Samos (see \cite{Aristarchus_Of_Samos_Wikipedia} \moreinfo) who was wondering about circles and triangles while found an elegant inequality that works $\forall \alpha, \beta | 0 < \beta < \alpha < \frac{\pi}{2}$:
$$\frac{\sin (\alpha)}{\sin (\beta)} < \frac{\alpha}{\beta} < \frac{\tan (\alpha)}{\tan (\beta)}$$

\section{$\frac{9}{2}$ proof}
\label{sec:9/2 proof}
Let $M \in \hyperref[sec:A note on notations (cit.)]{\triangle}ABC$ in such a way that $AM \hyperref[sec:A note on notations (cit.)]{\cap} \hyperref[sec:A note on notations (cit.)]{\circ} BCM = D$. Define $E$ and $F$ in the same way; then
$$\frac{\overline{AD}}{\overline{MD}}+\frac{\overline{BE}}{\overline{ME}}+\frac{\overline{CF}}{\overline{MF}} \ge \frac{9}{2}$$
The proof is left to the reader as exercise.

\section{Pizza slices}
\label{sec:Pizza slices}
Suppose that while tasting an hot pizza you're wondering about what's the minimum number of cuts you have to do in order to feed the maximum number of people?\\
Alright, let's move to formalism: given a circle and $n$ lines what's the maximum number of slices you can get?\\
The reader may find it helpful to recalculate and re-find those formulas.
\begin{solution}
In order to achieve the maximum number of slices each line \textit{should} cut every other $n-1$ line) and finally calculate the maximum number of slices with $n$ cuts:
$$
\begin{aligned}
\mathcal{S}_n &= \text{Faces} + \text{Bounded regions}\\
&= \frac{n(n+1)}{2} + \frac{(n-1)(n-2)}{2}\\
&= n ^ 2 -n+1\\
&= \boxed{n(n-1)+1}
\end{aligned}
$$
\end{solution}

\section{Rainbow spiral}
\label{sec:Rainbow spiral}
\begin{figure}[ht!]
\centering
\includegraphics[width=40mm]{ch/space/img/square_spiral.png}
\caption{Square spiral}
\end{figure}
After some annoying calculations the readers may find out the general formula for the $\upsilon-$th vertex. Let $\left( \Bigl \lfloor \frac{\upsilon}{4} \Bigr \rfloor + \Bigl \lfloor \frac{\upsilon \mod 4}{4} \Bigr \rfloor\right) = h(\upsilon)$ 
$$\boxed{\upsilon-th \text{ vertex} \equiv \left( (-1)^{\lfloor \frac{\upsilon \mod 4}{2} \rfloor} \cdot h(\upsilon), (-1)^{\lfloor \frac{(\upsilon +1)\mod 4}{2} \rfloor + 1} \cdot h(\upsilon) \right)}$$
Furthermore if you start counting all lattices point the spiral runs into (starting from the first vertex, not the origin) you can wonder about the number in the $\upsilon-$th vertex
$$\mathcal{V}(\upsilon) = \Bigl \lceil \frac{j}{2} \Bigr \rceil \cdot \left( \Bigl \lfloor \frac{j}{2} \Bigr \rfloor + 1 \right)$$
or better, the position of the $k-$th number (where $k$ is placed), which is much harder. First you need to find $a | \mathcal{V}(a) \le k \le \mathcal{V}(a+1)$; you can look in the neighbourhoods of $\lfloor \sqrt{1 + 4k} - 1 \rfloor$, then $k$ coordinates are
$$k_x = a_x + (a \mod 2) \cdot (k - \mathcal{V}(a)) \cdot (-1)^{\lceil \frac{(a +1)\mod 4}{2} \rceil}$$
$$k_y = a_y + ((a+1) \mod 2) \cdot (k - \mathcal{V}(a)) \cdot (-1)^{\lfloor \frac{a \mod 4}{2} \rfloor}$$

\section{N-dimensional ball}
\label{sec:N-dimensional ball}
The open ball of radius $r$ in $\mathbb R^N$ is the set $\{(x_1,x_2,\ldots,x_n)\in R^N \mid \sum_{i=1}^N x_i^2< r^2\}$ and by \cite{Volume_Of_An_N_Ball_Wikipedia} its volume is $V_N = V_{N-1} \int _0 ^{\pi/2} \cos^n \theta \, d\theta$. How to prove this fact?\\
\begin{proof}
$$
\begin{aligned}
V_n(r) &= \int_0^r \int_{x_1^2+\ldots+x_{n-1}^2\le r^2-x^2} \diff x_1\ldots dx_{n-1} \diff x\\
&= \int_0^r  V_{n-1}(\sqrt{r^2-x^2}) \diff x\\
&=\int_0^{\frac\pi 2}  V_{n-1}(r\cos\theta) r\cos\theta \ \ \diff \theta
\end{aligned}
$$
and since
$$
\begin{aligned}
V_n(r) &= r^n V_n(1)\\
&= r^n V_n
\end{aligned}
$$
you get
$$
\begin{aligned}
r^n V_n &= \int_0^{\frac\pi 2}  V_{n-1}(r\cos\theta)^{n-1} r\cos\theta \ \ \diff \theta\\
&\implies \boxed{V_n =V_{n-1}\int_0^{\frac\pi 2}  (\cos\theta)^{n}\ \diff \theta}
\end{aligned}
$$
\end{proof}

\section{How many triangles}
\label{sec:tunnel-theorem}
Given a positive integer $N$, is there a \textit{rational} triangle that has
area $N$? (\ie{} solve the \textit{Congruent Number Problem})\\
It turns out that if we assume
\cite{Birch_and_Swinnerton-Dyer_conjecture_Wikipedia}, then
setting
$$\begin{cases}
  f(N) = \text{number of } (x, y, z) \in \mathcal{Z}^3 \mid x^2+2y^2+8z^2 = N\\
  g(N) = \text{number of } (x, y, z) \in \mathcal{Z}^3 \mid x^2+2y^2+32z^2 = N\\
  h(N) = \text{number of } (x, y, z) \in \mathcal{Z}^3 \mid x^2+4y^2+8z^2
  = \frac{N}{2}\\
  k(N) = \text{number of } (x, y, z) \in \mathcal{Z}^3 \mid x^2+4y^2+32z^2
  = \frac{N}{2}\\
\end{cases}$$
if $N$ is odd, then there is such a triangle $\iff f(N) = 2g(N)$. The same goes
for $N$ being even: there is a triangle of area $N \iff h(N) = 2k(N)$.
